CLS
@ECHO OFF
@ECHO.
@ECHO ########################
@ECHO ### FWUP.BAT START!! ###
@ECHO ########################

@echo #### Check All Adapters ####
Megacli -AdpAllInfo -a0 > tmp0.log
Megacli -AdpAllInfo -a1 > tmp1.log
Megacli -AdpAllInfo -a2 > tmp2.log
Megacli -AdpAllInfo -a3 > tmp3.log

:ADP0
CLS
REM @ECHO.
REM @echo #### Check Adapter 0 ####
@ECHO.
find "Product Name    : MegaRAID SAS 8300XLP" tmp0.log > Nul
if errorlevel 1 goto ADP1
@echo #### Firmware Update ####
@ECHO.
Megacli -AdpFwFlash -f ZCRFW723.ROM -NoSigChk -NoVerChk -a0
if errorlevel 1 goto ADP0NG
@ECHO.
Megacli -adpbbucmd -setbbuproperties -f bbudsbl.ini -a0 > Nul
Megacli -adpbbucmd -setbbuproperties -f bbuauto.ini -a0 > Nul
Megacli -adpbbucmd -setbbuproperties -f bbudsbl.ini -a0 > Nul

@ECHO  Adapter0: FW Update COMPLETED!! >> RESULT.TXT
goto END

:ADP0NG
@ECHO  Adapter0: FW Update FAILED!! >> RESULT.TXT
goto END

:ADP1
REM @ECHO.
REM @echo #### Check Adapter 1 ####
@ECHO.
find "Product Name    : MegaRAID SAS 8300XLP" tmp1.log > Nul
if errorlevel 1 goto ADP2
@echo #### Firmware Update ####
@ECHO.
Megacli -AdpFwFlash -f ZCRFW723.ROM -NoSigChk -NoVerChk -a1
if errorlevel 1 goto ADP1NG
@ECHO.
Megacli -adpbbucmd -setbbuproperties -f bbudsbl.ini -a1 > Nul
Megacli -adpbbucmd -setbbuproperties -f bbuauto.ini -a1 > Nul
Megacli -adpbbucmd -setbbuproperties -f bbudsbl.ini -a1 > Nul

@ECHO  Adapter1: FW Update COMPLETED!! >> RESULT.TXT
goto END

:ADP1NG
@ECHO  Adapter1: FW Update FAILED!! >> RESULT.TXT
goto END

:ADP2
REM @ECHO.
REM @echo #### Check Adapter 2 ####
@ECHO.
find "Product Name    : MegaRAID SAS 8300XLP" tmp2.log > Nul
if errorlevel 1 goto ADP3
@echo #### Frimware Update ####
@ECHO.
Megacli -AdpFwFlash -f ZCRFW723.ROM -NoSigChk -NoVerChk -a2
if errorlevel 1 goto ADP2NG
@ECHO.
Megacli -adpbbucmd -setbbuproperties -f bbudsbl.ini -a2 > Nul
Megacli -adpbbucmd -setbbuproperties -f bbuauto.ini -a2 > Nul
Megacli -adpbbucmd -setbbuproperties -f bbudsbl.ini -a2 > Nul

@ECHO  Adapter2: FW Update COMPLETED!! >> RESULT.TXT
goto END

:ADP2NG
@ECHO  Adapter2: FW Update FAILED!! >> RESULT.TXT
goto END

:ADP3
REM @ECHO.
REM @echo #### Check Adapter 3 ####
@ECHO.
find "Product Name    : MegaRAID SAS 8300XLP" tmp3.log > Nul
if errorlevel 1 goto END
@echo #### Frimware Update ####
@ECHO.
Megacli -AdpFwFlash -f ZCRFW723.ROM -NoSigChk -NoVerChk -a3
if errorlevel 1 goto ADP3NG
@ECHO.
Megacli -adpbbucmd -setbbuproperties -f bbudsbl.ini -a3 > Nul
Megacli -adpbbucmd -setbbuproperties -f bbuauto.ini -a3 > Nul
Megacli -adpbbucmd -setbbuproperties -f bbudsbl.ini -a3 > Nul

@ECHO  Adapter3: FW Update COMPLETED!! >> RESULT.TXT
goto END

:ADP3NG
@ECHO  Adapter3: FW Update FAILED!! >> RESULT.TXT
goto END

:END
CLS
@ECHO  ### Update Results ###
@ECHO.
Type RESULT.TXT
@ECHO.
